Bug 1170510 - ioprocess excessive logging in vdsm.log
Summary: ioprocess excessive logging in vdsm.log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.5.0
Assignee: Yeela Kaplan
QA Contact: Pavel Stehlik
Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-04 08:19 UTC by Michal Skrivanek
Modified: 2016-02-10 19:27 UTC (History)
12 users (show)

Fixed In Version: vdsm-4.16.8.1-4.el6ev
Doc Type: Release Note
Doc Text:
In case there are excessive ioprocess logging, (can be caused if the logger.conf file was changed manually), one can change the /etc/vdsm/logger.conf, and add the following: [logger_IOProcess] level=INFO handlers=logfile qualname=IOProcess propagate=1
Clone Of:
Environment:
Last Closed: 2015-02-16 13:40:33 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 35929 master MERGED ioprocess: reduce log level to INFO Never
oVirt gerrit 35930 ovirt-3.5 MERGED ioprocess: reduce log level to INFO Never

Description Michal Skrivanek 2014-12-04 08:19:24 UTC
thought to be fixed by bug 1114908 but it's not.
Still too much flooding, making any debugging close to impossible, stuff rotates away too quickly, too much noise...

see http://gerrit.ovirt.org/#/c/35837/ for a possible fix

Due to supportability concerns suggesting to block 3.5 release

Comment 5 Jiri Belka 2015-01-05 12:43:50 UTC
ok vdsm-4.16.8.1-4.el6ev.x86_64

(checked conf and log file)

# grep 'DEBUG.*::IO' /var/log/vdsm/vdsm.log 
Thread-26::DEBUG::2015-01-05 12:31:34,139::__init__::298::IOProcessClient::(_run) Starting IOProcess...

Comment 6 Michal Skrivanek 2015-01-06 15:43:44 UTC
note it does seem to NOT work on upgrade, logger.conf is not being update. so be careful when updating drom intermediate builds (beta included)

Comment 7 Jiri Belka 2015-01-08 14:47:24 UTC
usual rpm policy - if logger.conf is pristine (not modified) it would be replaced, if anybody touched logger.conf then the file would be saved on filesystem as logger.conf.rpmnew

Comment 8 Michal Skrivanek 2015-01-13 10:43:43 UTC
but it is not the case and on upgraded systems there is still excessive logging
reopening


Note You need to log in before you can comment on or make changes to this bug.